@font-face {
    font-family: 'AaKeAiBeiTianTianQuanZhuLiao-2';
    src: url('fonts/AaKeAiBeiTianTianQuanZhuLiao-2.ttf') format('truetype');
}

h1 {
    color: pink;
    font-family: 'AaKeAiBeiTianTianQuanZhuLiao-2', cursive;
}

path {
    pointer-events: fill;
}

#container {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

/* 地图 */
svg {
    transform: scale(1.5);
    width: 100%;
    height: 100%;
}

#content {
    position: fixed;
    top: 20px;
    left: 20px;
}

/* 弹窗 */
#popup {
    display: none;
    position: fixed;
    background: white;
    border: 1px solid #ccc;
    padding: 10px;
    box-shadow: 0 2px 1px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    border-radius: 4px;
    font-size: 14px;
    font-family: 'Microsoft YaHei', Arial, sans-serif;
    pointer-events: none;
    max-width: 100px;
    transition: left 0.1s ease, top 0.1s ease;
}

#popup-content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#popup-image {
    max-width: 100px;
    height: auto;
    margin-bottom: 8px;
    display: none;
}

#popupText {
    font-weight: bold;
}
#popupNames ul {
    list-style-type: disc;
    margin: 8px 0 0 20px;
    padding: 0;
}
#popupNames li {
    margin-bottom: 4px;
}